package com.zivilon.cinder_loe.client.render.corrupt;

import com.zivilon.cinder_loe.client.model.npc.ModelSunkenSkeleton;
import net.minecraft.client.renderer.entity.RenderBiped;
import net.minecraft.entity.Entity;
import net.minecraft.util.ResourceLocation;

public class RenderCorruptSkeleton extends RenderBiped {

    private static ResourceLocation skin = new ResourceLocation("textures/entity/skeleton/skeleton.png");

    public RenderCorruptSkeleton() {
        super(new ModelSunkenSkeleton(), 0.5F);
    }

    protected void func_82421_b() {
        this.field_82423_g = new ModelSunkenSkeleton(1.0F);
        this.field_82425_h = new ModelSunkenSkeleton(0.5F);
    }

    protected ResourceLocation func_110775_a(Entity entity) {
        return skin;
    }
}
